Create Annotation
curl --request POST \
--url https://api-dev.bigspin.ai/v1/annotations \
--header 'Content-Type: application/json' \
--data '
{
"annotator": "<string>",
"transcript": [
{
"content": "<string>",
"role": "<string>",
"is_user_visible": true
}
],
"options": {}
}
'import requests
url = "https://api-dev.bigspin.ai/v1/annotations"
payload = {
"annotator": "<string>",
"transcript": [
{
"content": "<string>",
"role": "<string>",
"is_user_visible": True
}
],
"options": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
annotator: '<string>',
transcript: [{content: '<string>', role: '<string>', is_user_visible: true}],
options: {}
})
};
fetch('https://api-dev.bigspin.ai/v1/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"annotator": "<string>",
"annotator_version": "<string>",
"outcome": "strong",
"outcome_notes": "<string>",
"signals": {},
"summary": {
"domain": "<string>",
"keywords": [
"<string>"
],
"quality_concerns": "<string>",
"summary": "<string>",
"title": "<string>",
"user_intent": "<string>"
},
"taxonomy_version": "<string>",
"usage": {
"latency_ms": 123,
"tokens_in": 123,
"tokens_out": 123
}
}{
"detail": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"error": "<string>"
}annotations
Create Annotation
Annotate one transcript with the named annotator (sync).
POST
/
v1
/
annotations
Create Annotation
Body
application/json
Response
Successful Response
Response body for POST /v1/annotations.
Available options:
strong, mixed, poor, critical, indeterminate Show child attributes
Show child attributes
Structured summary of the conversation under annotation.
Show child attributes
Show child attributes
Token/latency accounting for one annotation call.
Show child attributes
Show child attributes
⌘I